Subject: Re: bug#39706: 28.0.50; Search prefix nroff-mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Feb 2020 09:48:51 +0200

> From: Juri Linkov <[email-masked]>
> Date: Fri, 21 Feb 2020 01:51:31 +0200
> 
> Often logs files have numeric file extensions such as log.1, log.2, ...
> thus visited in nroff-mode.  I don't care about the wrong mode since
> they are visited in read-only anyway just for a quick peek.
> 
> But the problem is that nroff-mode steals the global prefix M-s
> used to run search commands.
> 
> nroff-mode inherits from text-mode that puts 'center-line'
> on the key 'M-o M-s', so this is what nroff-mode should use as well:

Wouldn't it be more straight-forward and simple to add .log and .log.N
to auto-mode-alist, thus preventing nroff-mode from usurping these
files?

IOW, what you propose sounds like a very convoluted and indirect way
of fixing the problem you described, doesn't it?